ATD(8)

NAZWA
atd - uruchom zadania kolejkowane do późniejszego wykonania

SKŁADNIA
atd [-l load_avg] [-b batch_interval] [-d] [-s]

OPIS
atd uruchamia zadania kolejkowane przez at(1).

OPCJE

-l  Określa ograniczenie wskaźnika obciążenia (load factor), powyżej którego zadania wsadowe nie powinny być uruchamiane, zamiast wyboru wbudowanego wskaźnika 0.8. Dla systemów SMP z n CPU, zechcesz zapewne ustawić go wyżej niż n-1.

-b  Określa minimalny odstęp w sekundach pomiędzy startem dwu zadań wsadowych (domyślnie 60).

-d  Debug; wyświetla komunikaty o błędach na standardowe wyjście błędów zamiast wykorzystywania syslog(3).

-s  Przetwarza kolejkę at/batch tylko jednokrotnie. Służy głównie do uzyskania zgodności ze starszymi wersjami at; atd -s jest równoważne staremu poleceniu atrun. Dla celów wstecznej zgodności jako /usr/sbin/atrun instalowany jest skrypt wywołujący atd -s.

OSTRZEŻENIE
atd nie będzie działąć jeśli katalog do przechowywania wyników jest zamontowany poprzez NFS, nawet jeżeli ustawiono no_root_squash.

PLIKI
/var/spool/atjobs Katalog przechowujący zadania; powinien posiadać prawa dostępu 700 i właściciela at.

/var/spool/atspool Katalog przechowujący wyniki (wyjście); powinien posiadać prawa dostępu 700 i właściciela at.

/etc/at.allow, /etc/at.deny określają, kto może posługiwać się systemem at.

ZOBACZ TAKŻE
at(1), atrun(1), cron(8), crontab(1), syslog(3), at_deny(5), at_allow(5).

BŁĘDY
Funkcjonalność atd powinna być wcielona do cron(8).